Re: [webkit-dev] WebKit opengl

2017-08-02 Thread Adrien Destugues
2017-08-02 14:43 GMT+02:00 Gustavo Sverzut Barbieri : >> You are not going to get WebKit working with OpenGLES 1.1 unless you have an >> experienced engineer making large modifications to the source code. Instead, >> you should just turn off OpenGL/OpenGLES support.

Re: [webkit-dev] WebKit opengl

2017-08-02 Thread Gustavo Sverzut Barbieri
On Tue, Aug 1, 2017 at 6:44 PM, Michael Catanzaro wrote: > > On Tue, Aug 1, 2017 at 9:13 PM, Nagendra K wrote: > > Hi Dean, > > Thanks for the reply. > I actually have a embedded device with opengl es 1.1 and WebKit which is 7 > years old, now

Re: [webkit-dev] WebKit opengl

2017-08-01 Thread Michael Catanzaro
On Tue, Aug 1, 2017 at 9:13 PM, Nagendra K wrote: Hi Dean, Thanks for the reply. I actually have a embedded device with opengl es 1.1 and WebKit which is 7 years old, now requirement is to update the WebKit using the same opengles1.1 i.e. no option to update

Re: [webkit-dev] WebKit opengl

2017-08-01 Thread Konstantin Tokarev
01.08.2017, 23:14, "Nagendra K" : > Hi Dean, > > Thanks for the reply. > I actually have a embedded device with opengl es 1.1 and WebKit which is 7 > years old, now requirement is to update the WebKit using the same opengles1.1 > i.e. no option to update opengles1.1. I

Re: [webkit-dev] WebKit opengl

2017-08-01 Thread Nagendra K
Hi Dean, Thanks for the reply. I actually have a embedded device with opengl es 1.1 and WebKit which is 7 years old, now requirement is to update the WebKit using the same opengles1.1 i.e. no option to update opengles1.1. So as you said we need opengles2 or opengl4 to upgrade WebKit as WebKit has

Re: [webkit-dev] WebKit opengl

2017-08-01 Thread Dean Jackson
> On 19 Jul 2017, at 12:21, Nagendra K wrote: > > Current build of WebKit using opengl and with custom port, all apps will > directly use the opengl calls to draw, making the opengl independent of > WebKit. > So if I upgrade the WebKit, will the latest WebKit require

[webkit-dev] WebKit opengl

2017-07-19 Thread Nagendra K
Hi All, Current build of WebKit using opengl and with custom port, all apps will directly use the opengl calls to draw, making the opengl independent of WebKit. So if I upgrade the WebKit, will the latest WebKit require opengl for any of the new features or can we use opengl delinking WebKit.

[webkit-dev] WebKit opengl

2017-07-11 Thread Nagendra K
Hi All, I am upgrading WebKit for an embedded platform. On the current platform opengl1.1 is being used for rendering, so when I upgrade the WebKit can I choose the option of using opengl 1.1 or 2.0. Or WebKit code mandates to use any particular version of opengl. I checked in WebKit code and